Package org.opensaml.spring.trust

# Class StaticExplicitKeyFactoryBean

java.lang.Object
net.shibboleth.shared.spring.factory.AbstractFactoryBean<T>
net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean<ExplicitKeyTrustEngine>
org.opensaml.spring.trust.StaticExplicitKeyFactoryBean

All Implemented Interfaces:
  `Aware`, `BeanClassLoaderAware`, `BeanFactoryAware`, `DisposableBean`, `FactoryBean<ExplicitKeyTrustEngine>`, `InitializingBean`

public class StaticExplicitKeyFactoryBean extends AbstractComponentAwareFactoryBean<ExplicitKeyTrustEngine>
Factory bean for simple use cases involving the `ExplicitKeyTrustEngine` and static credentials.

Since:
  3.3.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private List<Resource>`
`certificateResources`
The resources to be turned into certificates.
`private List<Resource>`
`keyResources`
The resources to be turned into keys.
`private org.slf4j.Logger`
`log`
Class logger.

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`StaticExplicitKeyFactoryBean()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected ExplicitKeyTrustEngine`
`doCreateInstance()`
`protected List<Credential>`
`getCredentials()`
Get the configured certificates.
`Class<?>`
`getObjectType()`
`void`
`setCertificates(List<Resource> certs)`
Set the resources which we will convert into certificates.
`void`
`setPublicKeys(List<Resource> keys)`
Set the resources which we will convert into certificates.

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean

`createInstance, destroyInstance, setThrowIfNull`

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractFactoryBean

`afterPropertiesSet, destroy, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, isSingleton, setBeanClassLoader, setBeanFactory, setSingleton`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private org.slf4j.Logger log
Class logger.

### keyResources

@Nonnull private List<Resource> keyResources
The resources to be turned into keys.

### certificateResources

@Nonnull private List<Resource> certificateResources
The resources to be turned into certificates.

## Constructor Details

### StaticExplicitKeyFactoryBean

public StaticExplicitKeyFactoryBean()
Constructor.

## Method Details

### setPublicKeys

public void setPublicKeys(@Nullable List<Resource> keys)
Set the resources which we will convert into certificates.

Parameters:
  `keys` - the resources

### setCertificates

public void setCertificates(@Nullable List<Resource> certs)
Set the resources which we will convert into certificates.

Parameters:
  `certs` - the resources

### getCredentials

@Nonnull protected List<Credential> getCredentials()
Get the configured certificates.

Returns:
  the certificates null

### getObjectType

@Nonnull public Class<?> getObjectType()

Specified by:
  `getObjectType` in interface `FactoryBean<ExplicitKeyTrustEngine>`
Specified by:
  `getObjectType` in class `AbstractFactoryBean<ExplicitKeyTrustEngine>`

### doCreateInstance

@Nonnull protected ExplicitKeyTrustEngine doCreateInstance() throws Exception

Specified by:
  `doCreateInstance` in class `AbstractComponentAwareFactoryBean<ExplicitKeyTrustEngine>`
Throws:
  `Exception`